/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.crop.model;

import java.awt.Color;
import java.io.Serializable;
import nl.cloudfarming.client.model.EnterpriseIdProvider;
import nl.cloudfarming.client.model.ItemIdType;

/**
 * Model object representing a variety or race of a crop
 * @author Merijn Zengers
 */
public class Variety extends CropBean implements Serializable {
        
    private static final Color DEFAULT_COLOR = Color.CYAN;
    private static final ItemIdType ITEM_ID_TYPE = ItemIdType.VTY;

    public Variety(EnterpriseIdProvider eip) {
        super(eip, ITEM_ID_TYPE);
    }
    
    public Variety(EnterpriseIdProvider eip, String name) {
        this(eip, name, null);
    }
    
    public Variety(EnterpriseIdProvider eip, String name, String source) {
        super(eip, ITEM_ID_TYPE, name, source);
        setColor(DEFAULT_COLOR);
    }
    
    public Variety(Variety other) {
        super(other);
    }
}
